Package org.mozilla.javascript

## Class Hashtable.Entry

- java.lang.Object
- - org.mozilla.javascript.Hashtable.Entry

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    Hashtable

      public static final class Hashtable.Entry
      extends java.lang.Object
      implements java.io.Serializable

  One entry in the hash table. Override equals and hashcode because this is another area in which JavaScript and Java differ. This entry also becomes a node in the linked list.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `deleted` |
    `protected java.lang.Object` | `key` |
    `protected Hashtable.Entry` | `next` |
    `protected Hashtable.Entry` | `prev` |
    `protected java.lang.Object` | `value` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.Object` | `key()` |
    `java.lang.Object` | `value()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected java.lang.Object key

    - #### value

          protected java.lang.Object value

    - #### deleted

          protected boolean deleted

    - #### next

          protected Hashtable.Entry next

    - #### prev

          protected Hashtable.Entry prev

  - ### Method Detail

    - #### key

          public java.lang.Object key()

    - #### value

          public java.lang.Object value()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`